package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.mariadb.ast.MariadbObjectImpl;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbEventSchedule extends MariadbObjectImpl {
   private SQLExpr at;
   private SQLExpr every;
   private SQLExpr starts;
   private SQLExpr ends;

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.at);
         this.acceptChild(visitor, this.every);
         this.acceptChild(visitor, this.starts);
         this.acceptChild(visitor, this.ends);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getAt() {
      return this.at;
   }

   public void setAt(SQLExpr x) {
      if (x != null) {
         x.setParent(this);
      }

      this.at = x;
   }

   public SQLExpr getEvery() {
      return this.every;
   }

   public void setEvery(SQLExpr x) {
      if (x != null) {
         x.setParent(this);
      }

      this.every = x;
   }

   public SQLExpr getStarts() {
      return this.starts;
   }

   public void setStarts(SQLExpr x) {
      if (x != null) {
         x.setParent(this);
      }

      this.starts = x;
   }

   public SQLExpr getEnds() {
      return this.ends;
   }

   public void setEnds(SQLExpr x) {
      if (x != null) {
         x.setParent(this);
      }

      this.ends = x;
   }
}
